#pragma once
#include "Entity.h"
#define CS_SEAVILLAGE_CREATENAME L"CS_seavillage"
class CS_SeaVillageAni :
    public Entity
{
public:
    CS_SeaVillageAni();
    void Step() override;
    void SetState(int stateID, int lr) override;
};

std::shared_ptr<Entity> CreateCS_SeaVillage();